summaryrefslogtreecommitdiffstats
path: root/wp/.local/bin/wp-auto
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xwp/.local/bin/wp-auto48
1 files changed, 48 insertions, 0 deletions
diff --git a/wp/.local/bin/wp-auto b/wp/.local/bin/wp-auto
new file mode 100755
index 0000000..d5eeb12
--- /dev/null
+++ b/wp/.local/bin/wp-auto
@@ -0,0 +1,48 @@
+#! /bin/bash
+
+SED=$(which sed)
+ROFI=$(which rofi)
+
+export DISPLAY=:0
+HOUR=$(date +%H)
+
+if [ -z "${SED}" ]
+then
+ echo "Did not find 'sed', script cannot continue."
+ exit 1
+fi
+if [ -z "${ROFI}" ]
+then
+ echo "Did not find rofi, there is no point to continue."
+ exit 1
+fi
+
+###
+# Create if not exists, then removes #include of .theme file (if present) and add the selected theme to the end.
+# Repeated calls should leave the config clean-ish
+###
+function set_theme()
+{
+ CDIR="${HOME}/.config/rofi/"
+ if [ ! -d "${CDIR}" ]
+ then
+ mkdir -p ${CDIR}
+ fi
+ if [ -f "${CDIR}/config" ]
+ then
+ ${SED} -i "/rofi\.theme: .*\.rasi$/d" "${CDIR}/config"
+ fi
+ echo "rofi.theme: ${1}" >> "${CDIR}/config"
+
+}
+
+if [ "$HOUR" -gt "19" ] || [ "$HOUR" -lt "7" ]
+ then
+ feh --bg-scale $HOME/usr/pics/island_night_by_arsenixc-d6cz757.jpg
+ xrdb -merge $HOME/.Xresources.d/gruvbox-dark.xresources
+ set_theme "/usr/share/rofi/themes//gruvbox-dark.rasi"
+ else
+ feh --bg-scale $HOME/usr/pics/island_day_by_arsenixc-d6ctqon.jpg
+ xrdb -merge $HOME/.Xresources.d/gruvbox-light.xresources
+ set_theme "/usr/share/rofi/themes//gruvbox-light.rasi"
+fi